Subject: [core] CoRE Resource Directory draft updates

From: Michael Koster <[email-masked]>
Date: Mon, 29 Jun 2015 14:15:47 -0700

Hi,

We recently published WG version 3 of CoRE Resource Directory with some of the discussed changes, including a lighting example showing dnssd integration, the OMA LWM2M example, and the addition of a link collection introspection function (GET links from the registration collection).

https://datatracker.ietf.org/doc/draft-ietf-core-resource-directory/

We would like to continue discussion of a couple of additional changes for the upcoming -04 version:

1. Remove the simple registration described in the beginning of section 4. Unless there is a strong specific use case, the basic need can be easily handled using a configuration tool.

2. Add the PATCH operation to the link collection to section 5, for updating link content after the initial registration. OMA LWM2M is one use case for this, when objects are created and deleted at the endpoint there needs to be a way to update the registration link content without unregister/reregister operations.

Also, are there any other issues or changes needed?

Best regards,

Michael J Koster

---

From: "Rahman, Akbar" <[email-masked]>
Date: Tue, 30 Jun 2015 20:56:30 +0000

Hi Mike/Carsten (and other authors),

Thanks for the updates.  I had the following comments:

1.       Editorial – In Figure 1, the top line descriptor “Group” does not match the other descriptors (Registration, Lookup) which are verbs.  I guess it should be “Group Operation” or “Group Register/Remove”?

2.       In section 3.1 (Cellular M2M):

·         It states, “Due to the usual network configuration of mobile networks, the EP’s attached to the mobile network do not have routable addresses.”

·         However, I do not think this is accurate.  For example, the following RFCs explicitly mention that cellular hosts can have routable IP addresses:

·   https://tools.ietf.org/html/rfc7066#section-1.3

·   https://tools.ietf.org/html/rfc6459#section-6.2

3.       In section 3.3 (Link Catalogues):

·         Should the link-format+CBOR be added to “… link-format or link-format+json…”?

4.       In section 4.1 (Finding a Directory Server):

·         It states, “… directory servers are found by simply sending POST requests to that well-known multicast address (details TBD)”

·         Should it be GET instead of POST?

·         Can the TBD be replaced by reference to RFC 7390?

·   https://tools.ietf.org/html/rfc7390#section-3.3

5.       Section 6.1 (Register a Group):

·         Editorial

·   FROM: “The following example shows a group with the name “lights” registering two endpoints to an RD …”

·   TO:        “The following example shows an EP registering a group with the name “lights” which has two endpoints to an RD …”

6.       For your suggestion below regarding removing the simple registration and requiring a configuration tool instead.  Is this a good idea as we constantly (in this WG and others at IETF) bring up the problems with having to manually configure anything on an M2M device?

7.       For your suggestion below regarding adding the PATCH operation into the document.  I think this is pre-mature as the PATCH operation has not yet been adopted as a WG draft yet so I don’t agree that you should add it into this revision of the RD.

Otherwise I think the document is in good shape to progress.

Best Regards,

Akbar

From: core [mailto:[email-masked]] On Behalf Of Michael Koster
Sent: Monday, June 29, 2015 5:16 PM
To: core WG
Subject: [core] CoRE Resource Directory draft updates

Hi,

Best regards,

Michael J Koster